// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : ape_test_case25.s.c
// Author        : 
// Created On    : 2024-02-27
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#include "typedef.h"
#include "osp_task.h"
#include "osp_timer.h"
#include "ucp_printf.h"

/************************************************************************/
void ape0_event_task(uint32_t addr, uint32_t size);
void ape0_event_task_del(uint32_t addr, uint32_t size);

void ape0_test_task_reg(void)
{
    osp_task_info_ex ape0_event_task_info = {50, (int8_t*)"ape0_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape0_event_task};
    osp_task_info_ex ape0_event_task_info_del = {51, (int8_t*)"ape0_event_task_del", 51, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape0_event_task_del};

    osp_task_create(&ape0_event_task_info);
    osp_task_create(&ape0_event_task_info_del);

    return ;
}

/************************************************************************/
void ape1_event_task(uint32_t addr, uint32_t size);
void ape1_event_task_del(uint32_t addr, uint32_t size);

void ape1_test_task_reg(void)
{
    osp_task_info_ex ape1_event_task_info = {50, (int8_t*)"ape1_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape1_event_task};
    osp_task_info_ex ape1_event_task_info_del = {51, (int8_t*)"ape1_event_task_del", 51, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape1_event_task_del};

    osp_task_create(&ape1_event_task_info);
    osp_task_create(&ape1_event_task_info_del);

    return ;
}

/************************************************************************/
void ape2_event_task(uint32_t addr, uint32_t size);
void ape2_event_task_del(uint32_t addr, uint32_t size);

void ape2_test_task_reg(void)
{
    osp_task_info_ex ape2_event_task_info = {50, (int8_t*)"ape2_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape2_event_task};
    osp_task_info_ex ape2_event_task_info_del = {51, (int8_t*)"ape2_event_task_del", 51, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape2_event_task_del};

    osp_task_create(&ape2_event_task_info);
    osp_task_create(&ape2_event_task_info_del);

    return ;
}

/************************************************************************/
void ape3_event_task(uint32_t addr, uint32_t size);
void ape3_event_task_del(uint32_t addr, uint32_t size);

void ape3_test_task_reg(void)
{
    osp_task_info_ex ape3_event_task_info = {50, (int8_t*)"ape3_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape3_event_task};
    osp_task_info_ex ape3_event_task_info_del = {51, (int8_t*)"ape3_event_task_del", 51, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape3_event_task_del};

    osp_task_create(&ape3_event_task_info);
    osp_task_create(&ape3_event_task_info_del);

    return ;
}

/************************************************************************/
void ape4_event_task(uint32_t addr, uint32_t size);
void ape4_event_task_del(uint32_t addr, uint32_t size);

void ape4_test_task_reg(void)
{
    osp_task_info_ex ape4_event_task_info = {50, (int8_t*)"ape4_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape4_event_task};
    osp_task_info_ex ape4_event_task_info_del = {51, (int8_t*)"ape4_event_task_del", 51, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape4_event_task_del};

    osp_task_create(&ape4_event_task_info);
    osp_task_create(&ape4_event_task_info_del);

    return ;
}

/************************************************************************/
void ape5_event_task(uint32_t addr, uint32_t size);
void ape5_event_task_del(uint32_t addr, uint32_t size);

void ape5_test_task_reg(void)
{
    osp_task_info_ex ape5_event_task_info = {50, (int8_t*)"ape5_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape5_event_task};
    osp_task_info_ex ape5_event_task_info_del = {51, (int8_t*)"ape5_event_task_del", 51, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape5_event_task_del};

    osp_task_create(&ape5_event_task_info);
    osp_task_create(&ape5_event_task_info_del);

    return ;
}

/************************************************************************/
void ape6_event_task(uint32_t addr, uint32_t size);
void ape6_event_task_del(uint32_t addr, uint32_t size);

void ape6_test_task_reg(void)
{
    osp_task_info_ex ape6_event_task_info = {50, (int8_t*)"ape6_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape6_event_task};
    osp_task_info_ex ape6_event_task_info_del = {51, (int8_t*)"ape6_event_task_del", 51, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape6_event_task_del};

    osp_task_create(&ape6_event_task_info);
    osp_task_create(&ape6_event_task_info_del);

    return ;
}

/************************************************************************/
void ape7_event_task(uint32_t addr, uint32_t size);
void ape7_event_task_del(uint32_t addr, uint32_t size);

void ape7_test_task_reg(void)
{
    osp_task_info_ex ape7_event_task_info = {50, (int8_t*)"ape7_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape7_event_task};
    osp_task_info_ex ape7_event_task_info_del = {51, (int8_t*)"ape7_event_task_del", 51, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape7_event_task_del};

    osp_task_create(&ape7_event_task_info);
    osp_task_create(&ape7_event_task_info_del);

    return ;
}

